# ApplicationPool.ApplicationPoolAction

[This is preliminary documentation and subject to change.]

Defines the actions that can be performed on an application pool.

### Fields

Field | Description
--- | ---
Recycle | Recycles an application pool.
Restart | Stops and restarts the application pool.
Start | Starts the application pool.
Stop | Stops the application pool.

### Requirements

Assembly: NAnt.Contrib.Tasks (0.93.5002.0)